#include "tetris-graph.h"

#include <stdio.h>

int main(void){
    
    InitGame();
    
    Piece* pieceList = getPiecesData();
    
    while(!WindowShouldClose()){
        BeginDrawing();
        
        InitDisplay();
        displayPieceList(pieceList, 7);
        
        
        
        /* Grid grid = gridInit();
        while(!gameOver(grid)){
            gameInstructions(grid);
        } */
        Piece p = generePiece(pieceList);
        drawPiece(p);
        
        EndDrawing();
    }
    EndDrawing();
    CloseWindow();
    
    return 0;
}